apiVersion: v1
kind: PersistentVolume
metadata:
  namespace: {{ .Values.namespace }}
  name: {{ .Values.backend.persistentVolume.pvName }}
  labels:
    app.kubernetes.io/instance: {{ .Release.Name }}
    helm.sh/char: {{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}
spec:
  capacity:
    storage: {{ .Values.backend.persistentVolume.storage }}
  volumeMode: Filesystem
  accessModes:
    - ReadWriteMany
  persistentVolumeReclaimPolicy: Retain
  storageClassName: {{ .Values.backend.storageClass }}
  csi:
    driver: efs.csi.aws.com
    volumeHandle: {{ .Values.backend.persistentVolume.efsVolume }}::{{ .Values.backend.persistentVolume.accessPoint }}